MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0016488Open CASCADE[OCCT] OCCT:WOKpublic2007-07-05 14:232014-11-11 12:52
Reporterabv 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0016488: WOK extractor incorrectly treats documentation comments with several Purpose clauses
DescriptionDoxygen documentation comments in HXX files are generated by WOK extractor from
comments in CDL files. These comments are misformed in case if block of
comments in CDL contains "---Purpose" more than once. In that case, the second
"---Purpose" is replaced by the starting doxygen comment "//!", but without
newline before it, i.e. on the same line as previous comment.

For example, see comments on Adaptor2d_Curve2d class, methods D1() and others.
Note that at least in that case second "Purpose" is attributed to exception
raised by the method, rather than to the method itself.

In order to understand how to treat this problem in the best way, some
additional investigations seem to be necessary. At least, such cases should be
identified by WOK extractor and either reported as warnings (so that the
developer can fix them), or ignored, or formatted appropriately.
Steps To Reproduce
    D1 (me; U : Real; P : out Pnt2d from gp ; V : out Vec2d from gp)
         --- Purpose : Computes the point of parameter U on the curve with its
         --  first derivative.
     raises 
        DomainError from Standard
        --- Purpose : Raised if the continuity of the current interval
        --  is not C1.
    is virtual;


  //! Computes the point of parameter U on the curve with its 
//!  first derivative. //! Raised if the continuity of the current interval 
//!  is not C1. 
  Standard_EXPORT   virtual  void D1(const Standard_Real U,gp_Pnt2d& P,gp_Vec2d& V) const;
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024002closedabv Overall code and build procedure refactoring 
child of 0024557closedkgv Improve formatting of HXX files generated by WOK 

-  Notes
(0029188)
kgv (developer)
2014-05-05 09:06

The problem has been handled within 0024557:
  //! Computes the point of parameter U on the curve with its
  //! first derivative.
  //! Raised if the continuity of the current interval
  //! is not C1.
  Standard_EXPORT virtual void D1 (const Standard_Real U, gp_Pnt2d& P, gp_Vec2d& V) const;

please close the issue.
(0029220)
bugmaster (administrator)
2014-05-07 11:04

Integrated with 0024557

- Issue History
Date Modified Username Field Change
2007-07-05 14:40 bugmaster Assigned To bugmaster => apv
2007-07-05 14:40 bugmaster Status new => assigned
2014-05-03 07:37 abv Assigned To apv => kgv
2014-05-03 07:37 abv Fixed in Version EMPTY =>
2014-05-03 07:37 abv Target Version => 6.8.0
2014-05-03 07:37 abv Description Updated View Revisions
2014-05-03 07:37 abv Relationship added related to 0024002
2014-05-05 09:06 kgv Note Added: 0029188
2014-05-05 09:06 kgv Assigned To kgv => bugmaster
2014-05-05 09:06 kgv Status assigned => feedback
2014-05-05 09:07 kgv Resolution open => fixed
2014-05-05 09:07 kgv Description Updated View Revisions
2014-05-05 09:07 kgv Steps to Reproduce Updated View Revisions
2014-05-05 09:08 kgv Relationship added related to 0024557
2014-05-05 09:08 kgv Relationship replaced child of 0024557
2014-05-07 11:03 bugmaster Status feedback => tested
2014-05-07 11:04 bugmaster Note Added: 0029220
2014-05-07 11:04 bugmaster Status tested => verified
2014-05-07 11:04 bugmaster Assigned To bugmaster => abv
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker